# Class InputTablesParameter

java.lang.Object
uk.ac.starlink.task.Parameter<TableProducer[]>
uk.ac.starlink.ttools.task.AbstractInputTableParameter<TableProducer[]>
uk.ac.starlink.ttools.task.InputTablesParameter

All Implemented Interfaces:
  `uk.ac.starlink.task.MultiParameter`

public class InputTablesParameter extends AbstractInputTableParameter<TableProducer[]> implements uk.ac.starlink.task.MultiParameter
Parameter for specifying an indeterminate number of input tables. All use the same format specifier and streaming flag.

Since:
  15 Sep 2006
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`InputTablesParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.BooleanParameter`
`getMultiParameter()`
Returns the parameter which determines whether just the first or all tables in a multi-table container file will be used.
`char`
`getValueSeparator()`
`String`
`objectToString(uk.ac.starlink.task.Environment env, TableProducer[] tables)`
Sets the value of this parameter from an array of TableProducers.
`TableProducer[]`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`
The `toString` method of the returned elements can be used to refer to them in user-directed messages.

### Methods inherited from class AbstractInputTableParameter

`getFormatParameter, getLocationFormList, getStreamParameter, makeTable, makeTable, makeTables, setTableDescription`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputTablesParameter

public InputTablesParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### getMultiParameter

public uk.ac.starlink.task.BooleanParameter getMultiParameter()
Returns the parameter which determines whether just the first or all tables in a multi-table container file will be used.

Returns:
  multi-table parameter

### getValueSeparator

public char getValueSeparator()

Specified by:
  `getValueSeparator` in interface `uk.ac.starlink.task.MultiParameter`

### stringToObject

public TableProducer[] stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException
The `toString` method of the returned elements can be used to refer to them in user-directed messages.

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<TableProducer[]>`
Throws:
  `uk.ac.starlink.task.TaskException`

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, TableProducer[] tables)
Sets the value of this parameter from an array of TableProducers. The `toString` method of each element should be suitable for use in user-directed messges.

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<TableProducer[]>`